Unable to install Talend data Integration on Windows 7

One Star

Unable to install Talend data Integration on Windows 7

Hello,
I am trying to install the Talend Data Integration on Windows 7.  The message I get is 
There has been an error.
The installer could not find a valid Java(tm) on this machine.
Supported versions:
Vendor: Oracle/Sun min.1.7 max. any JDK required
My machine has had Java versions 1.5 and 1.6 and since I have removed them (using java.com tool).  I installed Java 1.8 from java.com and I still get this error.  The Java 1.8 does not include JDK or a new version of javac.exe for some reason.
C:\>java -version
java version "1.8.0_66"
Java(TM) SE Runtime Environment (build 1.8.0_66-b18)
Java HotSpot(TM) Client VM (build 25.66-b18, mixed mode, sharing)
C:\>javac -version
javac 1.5.0_17
javac: no source files
Usage: javac <options> <source files>
How can I complete this installation?
Cheers
Moderator

Re: Unable to install Talend data Integration on Windows 7

Hi,
Could you please indicate talend product build version you want to install? v6.0?
Java 8 is currently the recommended Java version for all Talend products and modules since v6.0. Although you can still use Java 7, Java 8 is the only version of Java that is officially supported from Talend v6.0 onwards, due to the end of Oracle support for Java 7.
Prior to v6.0, the recommended Java version was Java 7.
Please check the java from oracle official website:http://www.oracle.com/technetwork/java/javase/downloads/index.html
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.